STENCILZFAIL(3CgFX)

NAME
StencilZFail - 3D API stencil Z fail

USAGE
StencilZFail = int(dpfail)

VALID ENUMERANTS
dpfail: integer value

DESCRIPTION
Specifies action for when the stencil test passes but the depth test fails. See the dpfail parameter description on the OpenGL glStencilOp manual page for details. See the D3DRS_STENCILZFAIL render state description for DirectX 9.

The standard reset callback sets the StencilZFail state to int(GL_KEEP).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ClearStencil, StencilEnable, StencilFail, StencilFunc, StencilFuncSeparate, StencilMask, StencilMaskSeparate, StencilOp, StencilOpSeparate, StencilPass, StencilRef, StencilTestEnable, StencilTestTwoSideEnable, StencilWriteMask, TwoSidedStencilMode